Subject: Re: Problem setting font for default Style

From: Dominik Vogt <[email-masked]>
Date: Mon, 13 Aug 2001 12:35:08 +0200

>From fvwm bug report #735:

> Full_Name: Beiad Ian Q. Dalton
> Version: 2.4.0
> CVS_Date: 
> OS: Debian Sid
> X_Server: Xfree86 4.0.3
> Submission from: (NULL) (65.5.95.44)
> 
> 
> 
> Okay. I'm trying to use a scalable font in the window title, by defining
> it
> with the Style command in the config. I'm okay to use a 100 DPI font such
> as "-adobe-helvetica-medium-r-*-*-20-*" but I am not okay to use a font
> such as "-urw-urw bookman l-regular-r-normal-*-20-*-*-*-*-*-*-*" which is
> a
> scalable font. However, I'm able to use this font for my menus with the
> MenuStyle command in my config.
> 
> If I type into FvwmConsole the Style command, I am told:
> [FVWM][CMD_Style]:
> <<ERROR>> Bad style option: "<font string here>"
> If I type into FvwmConsole a similar MenuStyle command with the same font
> string, it is accepted and used.

That awfully sounds as like a syntax error in your style line.
Try to enclose the font name in double quotes (it contais
whitespace).  If that does not help, pleas send me the command
line you sent to FvwmConsole.

> Also, and this may be an X server issue instead,

I don't think so.  Fvwm is unhappy with the command line.  It
tries to interpret the font name as a style, not as the argument
to the Font style.

> if I attempt to use a
> 19-point helvetica instead of 20-point, it will fall back to the 'fixed'
> font, even though (as far as I can tell) I have a scalable version of
> helvetica installed. If I specify 19-point urw bookman l, I get 19 point.

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]